package com.synhaptein.scalator.security

/**
 * Default implementation of the HashService.
 *
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright 2010-2011, SynHaptein (http://www.synhaptein.com)
 * @link          http://www.synhaptein.com/scalator scalator project
 * @since         scalator 0.1
 * @license       http://www.synhaptein.com/scalator/license.html
 */

trait HashServiceComponentStandard extends HashServiceComponent
{
  class HashServiceImpl extends HashService
  {
    protected def addSalt(string: String): String = {
      string
    }
  }
}