package com.synhaptein.scalator.security

/**
 * Basic implementation of a user.
 *
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright 2010-2011, SynHaptein (http://www.synhaptein.com)
 * @link          http://www.synhaptein.com/scalator scalator project
 * @since         scalator 0.1
 * @license       http://www.synhaptein.com/scalator/license.html
 */

abstract class User[T]
{
  def id: Option[T]
  def username: String
  def password: String
  def active: Boolean
  def roles: List[String]
}